Bug 18246 - Patron card creator: Units not always display properly in layouts
Summary: Patron card creator: Units not always display properly in layouts
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 8603
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-11 18:15 UTC by Marc Véron
Modified: 2017-05-03 03:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18246: Patron card creator: Unit not always displays properly in layouts (1.14 KB, patch)
2017-03-11 18:19 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18246: Patron card creator: Unit not always displays properly in layouts (1.20 KB, patch)
2017-03-20 10:49 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 18246: Patron card creator: Unit not always displays properly in layouts (1.29 KB, patch)
2017-03-21 08:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-03-11 18:15:56 UTC
To reproduce:

1) Create a new layout
2) Select an unit in "Units selection"
3) Save
4) Edit layout again
5) Select other unit, e.g. 'SI Centimeter'
6) Save
7) Repeat
8) Edit again
Error: Latest unit seems to stick and can no longer be changed, because
in units drop down, multiple untis are marked as selected.
Comment 1 Marc Véron 2017-03-11 18:19:34 UTC
Created attachment 61011 [details] [review]
Bug 18246: Patron card creator: Unit not always displays properly in layouts

To reproduce:

1) Create a new layout
2) Select an unit in "Units selection"
3) Save
4) Edit layout again
5) Select other unit, e.g. 'SI Centimeter'
6) Save
7) Repeat
8) Edit again
Error: Latest unit seems to stick and can no longer be changed, because
in units drop down, multiple untis are marked as selected.

To test:
1) Apply patch
2) Repeat steps above, verify that value for units always display as expected.
Comment 2 Jesse Maseto 2017-03-20 10:49:52 UTC
Created attachment 61261 [details] [review]
Bug 18246: Patron card creator: Unit not always displays properly in layouts

To reproduce:

1) Create a new layout
2) Select an unit in "Units selection"
3) Save
4) Edit layout again
5) Select other unit, e.g. 'SI Centimeter'
6) Save
7) Repeat
8) Edit again
Error: Latest unit seems to stick and can no longer be changed, because
in units drop down, multiple untis are marked as selected.

To test:
1) Apply patch
2) Repeat steps above, verify that value for units always display as expected.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Marcel de Rooy 2017-03-21 08:44:57 UTC
Created attachment 61352 [details] [review]
Bug 18246: Patron card creator: Unit not always displays properly in layouts

To reproduce:

1) Create a new layout
2) Select an unit in "Units selection"
3) Save
4) Edit layout again
5) Select other unit, e.g. 'SI Centimeter'
6) Save
7) Repeat
8) Edit again
Error: Latest unit seems to stick and can no longer be changed, because
in units drop down, multiple untis are marked as selected.

To test:
1) Apply patch
2) Repeat steps above, verify that value for units always display as expected.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Brendan Gallagher 2017-03-23 12:00:59 UTC
Pushed to Master - Should be in the 17.05 Release.  Thanks
Comment 5 Katrin Fischer 2017-03-26 20:51:02 UTC
This patch has been pushed to 16.11.x and will be in 16.11.06.
Comment 6 Julian Maurice 2017-03-31 13:03:55 UTC
Pushed to 3.22.x, will be in 3.22.19
Comment 7 Mason James 2017-05-03 03:42:51 UTC
Pushed to 16.05.x, for 16.05.12 release